Texa DeskDevelopers

Texa Desk Application API · Conversations

Conversations List

GET/api/v1/accounts/{account_id}/conversations

List all the conversations with pagination

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

assignee_typestring

Filter conversations by assignee type.

statusstring

Filter by conversation status.

qstring

Filters conversations with messages containing the search term

inbox_idinteger
team_idinteger
labelsarray of string
pageinteger

paginate through conversations

Responses

200

Success

dataobject
data.metaobject
data.meta.mine_countnumber
data.meta.unassigned_countnumber
data.meta.assigned_countnumber
data.meta.all_countnumber
data.payloadarray of object

array of conversations

data.payload[].idnumber

ID of the conversation

data.payload[].messagesarray of object
data.payload[].account_idnumber

Account Id

data.payload[].uuidstring

UUID of the conversation

data.payload[].additional_attributesobject

The object containing additional attributes related to the conversation

data.payload[].agent_last_seen_atnumber

The last activity at of the agent

data.payload[].assignee_last_seen_atnumber

The last activity at of the assignee

data.payload[].can_replyboolean

Whether the conversation can be replied to

data.payload[].contact_last_seen_atnumber

The last activity at of the contact

data.payload[].custom_attributesobject

The object to save custom attributes for conversation, accepts custom attributes key and value

data.payload[].inbox_idnumber

ID of the inbox

data.payload[].labelsarray of string

The labels of the conversation

data.payload[].mutedboolean

Whether the conversation is muted

data.payload[].snoozed_untilnumber

The time at which the conversation will be unmuted

data.payload[].statusstring

The status of the conversation One of: open, resolved, pending.

data.payload[].created_atnumber

The time at which conversation was created

data.payload[].updated_atnumber

The time at which conversation was updated

data.payload[].timestampnumber

The time at which conversation was created

data.payload[].first_reply_created_atnumber

The time at which the first reply was created

data.payload[].unread_countnumber

The number of unread messages

data.payload[].last_non_activity_messageobject or null

The last non activity message

data.payload[].last_activity_atnumber

The last activity at of the conversation

data.payload[].prioritystring

The priority of the conversation

data.payload[].waiting_sincenumber

The time at which the conversation was waiting

data.payload[].sla_policy_idnumber

The ID of the SLA policy

data.payload[].applied_slaobject

The applied SLA

data.payload[].sla_eventsarray of object
data.payload[].metaobject
400

Bad Request Error

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring